Bug 1431235

Summary: Review Request: python3-virtualenv - Tool to create isolated Python environments
Product: [Fedora] Fedora Reporter: Orion Poplawski <orion>
Component: Package ReviewAssignee: Neal Gompa <ngompa13>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: ngompa13, package-review
Target Milestone: ---Flags: ngompa13: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-15 21:50:27 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1483123    

Description Orion Poplawski 2017-03-10 16:53:57 UTC
Spec URL: https://www.cora.nwra.com/~orion/fedora/python3-virtualenv.spec
SRPM URL: https://www.cora.nwra.com/~orion/fedora/python3-virtualenv-15.0.3-1.el7.src.rpm
Description:
virtualenv is a tool to create isolated Python environments. virtualenv
is a successor to workingenv, and an extension of virtual-python. It is
written by Ian Bicking, and sponsored by the Open Planning Project. It is
licensed under an MIT-style permissive license.

Fedora Account System Username: orion

https://koji.fedoraproject.org/koji/taskinfo?taskID=18305367

This in an EPEL only package.

Comment 2 Neal Gompa 2017-08-15 23:39:29 UTC
Taking this review.

Comment 3 Neal Gompa 2017-08-16 00:12:12 UTC
Review notes:

* Package is named appropriately (source and binary for EPEL)
* Package follows Fedora packaging guidelines and extended EPEL ones
* Package follows Python 3 packaging guidelines for EPEL
* Package builds and installs correctly
* Some rpmlint errors, see below:


rpmlint errors:
python34-virtualenv.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/virtualenv_support/__pycache__/__init__.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-virtualenv.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/virtualenv_support/__pycache__/__init__.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-virtualenv.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/__pycache__/virtualenv.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-virtualenv.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/__pycache__/virtualenv.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)

I don't think these are real errors, and are probably something wrong with rpmlint. Other than this, it looks good!

Comment 4 Neal Gompa 2017-08-16 00:12:27 UTC
PACKAGE APPROVED.

Comment 5 Gwyn Ciesla 2017-08-16 01:52:27 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python3-virtualenv

Comment 6 Gwyn Ciesla 2017-08-16 01:52:44 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python3-virtualenv

Comment 7 Fedora Update System 2017-09-01 03:51:27 UTC
python3-virtualenv-15.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-91ae9b6e7e

Comment 8 Fedora Update System 2017-09-15 21:50:27 UTC
python3-virtualenv-15.1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.